/**
 * Copyright 2006-8 Simon Andrews
 *
 *    This file is part of FRETSaw.
 *
 *    FRETSaw is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    FRETSaw is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with ChIPMonk; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package uk.ac.bbsrc.babraham.FretSaw.Display;

import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public class FrameChangeBar extends JPanel implements ChangeListener {

	private JSlider slider;
	private JLabel frameLabel;
	private ImageSetPanel imageSetPanel;
	private int frameCount;
	
	public FrameChangeBar (ImageSetPanel imageSetPanel) {
		this.imageSetPanel = imageSetPanel;
		
		frameCount = imageSetPanel.frameCount();
		
		slider = new JSlider(JSlider.HORIZONTAL,1,frameCount,1);
		slider.addChangeListener(this);
		
		setLayout(new BorderLayout());
		add(slider,BorderLayout.CENTER);
		
		frameLabel = new JLabel(" Frame 1 of "+frameCount+" ");
		add(frameLabel,BorderLayout.EAST);
		
	}

	public void stateChanged(ChangeEvent e) {

		int currentFrame = slider.getValue();

		frameLabel.setText(" Frame "+currentFrame+" of "+frameCount+" ");

		imageSetPanel.setFrame(currentFrame);
		
		
	}
}
