/**
 * Copyright 2006-8 Simon Andrews
 *
 *    This file is part of FRETSaw.
 *
 *    FRETSaw is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    FRETSaw is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with ChIPMonk; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package uk.ac.bbsrc.babraham.FretSaw.IO;

import java.io.File;
import java.io.IOException;

import uk.ac.bbsrc.babraham.FretSaw.FretSawApplication;

public abstract class ImageLoader {

	protected FretSawApplication application;
	
	public ImageLoader (FretSawApplication application) {
		this.application = application;
	}
	
	abstract public ImageSet getImageSet () throws IOException;
	
	abstract public String getFileName();
	
	abstract public File getLastDirectory();
	
	
}
